org.jfree.util

## Interface PublicCloneable

All Superinterfaces:
  java.lang.Cloneable

All Known Implementing Classes:
  Size2D, StandardGradientPaintTransformer

    public interface PublicCloneable
    extends java.lang.Cloneable

An interface that exposes the clone() method.

Author:
  David Gilbert

### Method Summary

Methods
`java.lang.Object` `clone()` Returns a clone of the object.

### Method Detail

#### clone

    java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

Returns a clone of the object.

Returns:
  A clone.
Throws:
  `java.lang.CloneNotSupportedException` - if cloning is not supported for some reason.